the swaggiest fit leaderboard tracks the top player character pictures in the past week. players can put their characters in a "studio", where they can custom pose them. each player gets one vote, and cannot vote for themselves. there is a button to randomly find a photo in the past week, or users can vote from the top 100.